import bpy

""" Makes a group of selected objects invisible in game engine
    Adjusts the collision group and collision mask group for each object.
    Select a group of objects, run script.
"""

obj_seq = bpy.context.selected_objects

for i in range(len(obj_seq)):
    obj_seq[i].hide_render = True
    obj_seq[i].game.collision_group = False, False, True, False, False, False, False, False
    obj_seq[i].game.collision_mask = True, False, True, True, True, True, True, True
    
    
    
